Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 222)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 226)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 222 2009-01-12 16:04:16Z letzel
 ! +user_check_parameters
 ! Output of messages replaced by message handling routine.
@@ -9,8 +16,4 @@
 ! deleted __mpi2 directives
 ! Check that PALM is called with mrun -K parallel for coupling
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 197 2008-09-16 15:29:03Z raasch
@@ -114,5 +117,5 @@
        message_string = '"host" is not set. Please check that environment ' // &
                         'variable "localhost" & is set before running PALM'
-       CALL handle_palm_message( 'check_parameters', 'PA0001', 0, 0, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0001', 0, 0, 0, 6, 0 )
     ENDIF
 
@@ -123,5 +126,5 @@
          coupling_mode /= 'ocean_to_atmosphere' )  THEN
        message_string = 'illegal coupling mode: ' // TRIM( coupling_mode )
-       CALL handle_palm_message( 'check_parameters', 'PA0002', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0002', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -133,6 +136,5 @@
           message_string = 'dt_coupling is not set but required for coup' // &
                            'ling mode "' //  TRIM( coupling_mode ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0003', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0003', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -146,6 +148,5 @@
                  '": dt_coupling = ', dt_coupling, '& is not equal to ',       &
                  'dt_coupling_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0004', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0004', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( dt_coupling <= 0.0 )  THEN
@@ -157,6 +158,5 @@
                  '": dt_coupling <= 0.0 & is not allowed and is reset to ',    &
                  'MAX(dt_max(A,O)) = ', dt_coupling
-          CALL handle_palm_message( 'check_parameters', 'PA0005', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0005', 0, 1, 0, 6, 0 )
        ENDIF
 
@@ -169,6 +169,5 @@
                  '": restart_time = ', restart_time, '& is not equal to ',     &
                  'restart_time_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0006', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0006', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -181,6 +180,5 @@
                  '": dt_restart = ', dt_restart, '& is not equal to ',         &
                  'dt_restart_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0007', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0007', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -192,6 +190,5 @@
                  '": end_time = ', end_time, '& is not equal to ',             &
                  'end_time_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0008', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0008', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -202,6 +199,5 @@
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
                  '":  dx = ', dx, '& is not equal to dx_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0009', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0009', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -212,6 +208,5 @@
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
                  '":  dy = ', dy, '& is not equal to dy_remote = ', remote
-          CALL handle_palm_message( 'check_parameters', 'PA0010', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0010', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -222,6 +217,5 @@
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
                  '": nx = ', nx, '& is not equal to nx_remote = ', iremote
-          CALL handle_palm_message( 'check_parameters', 'PA0011', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0011', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -232,11 +226,10 @@
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
                  '": ny = ', ny, '& is not equal to ny_remote = ', iremote
-          CALL handle_palm_message( 'check_parameters', 'PA0012', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0012', 1, 2, 0, 6, 0 )
        ENDIF
 #else
        WRITE( message_string, * ) 'coupling requires PALM to be called with', &
             ' ''mrun -K parallel'''
-       CALL handle_palm_message( 'check_parameters', 'PA0141', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0141', 1, 2, 0, 6, 0 )
 #endif
     ENDIF
@@ -288,5 +281,5 @@
        message_string = 'illegal value given for loop_optimization: "' // &
                         TRIM( loop_optimization ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0013', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0013', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -328,6 +321,5 @@
           message_string = 'a non-flat topography does not allow ' // &
                            TRIM( action )
-          CALL handle_palm_message( 'check_parameters', 'PA0014', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0014', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -345,6 +337,5 @@
        IF ( action /= ' ' )  THEN
           message_string = 'ocean = .T. does not allow ' // TRIM( action )
-          CALL handle_palm_message( 'check_parameters', 'PA0015', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0015', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -357,5 +348,5 @@
        message_string = 'unknown solver for perturbation pressure: psolver' // &
                         ' = "' // TRIM( psolver ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0016', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0016', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -365,5 +356,5 @@
                         'for a 1d domain-decomposition along x & please do' // &
                         ' not set npey/=1 in the parameter file'
-       CALL handle_palm_message( 'check_parameters', 'PA0017', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0017', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( psolver == 'poisfft_hybrid'  .AND.                     &
@@ -374,5 +365,5 @@
                         'work for subdomains with unequal size & please ' // &
                         'set grid_matching = ''strict'' in the parameter file'
-       CALL handle_palm_message( 'check_parameters', 'PA0018', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0018', 1, 2, 0, 6, 0 )
     ENDIF
 #else
@@ -380,5 +371,5 @@
        message_string = 'psolver = "' // TRIM( psolver ) // '" only works' // &
                         ' for a parallel environment'
-       CALL handle_palm_message( 'check_parameters', 'PA0019', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0019', 1, 2, 0, 6, 0 )
     ENDIF
 #endif
@@ -392,6 +383,5 @@
           message_string = 'unknown multigrid cycle: cycle_mg = "' // &
                            TRIM( cycle_mg ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0020', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0020', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -402,5 +392,5 @@
        message_string = 'unknown fft-algorithm: fft_method = "' // &
                         TRIM( fft_method ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0021', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0021', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -411,5 +401,5 @@
        message_string = 'unknown advection scheme: momentum_advec = "' // &
                         TRIM( momentum_advec ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0022', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0022', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( ( momentum_advec == 'ups-scheme'  .OR.  scalar_advec == 'ups-scheme' )&
@@ -418,5 +408,5 @@
                         '" is not allowed with timestep_scheme = "' //    &
                         TRIM( timestep_scheme ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0023', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0023', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -425,5 +415,5 @@
        message_string = 'unknown advection scheme: scalar_advec = "' // &
                         TRIM( scalar_advec ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0024', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0024', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -432,5 +422,5 @@
        message_string = 'use_upstream_for_tke set .TRUE. because ' // &
                         'use_sgs_for_particles = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0025', 0, 1, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0025', 0, 1, 0, 6, 0 )
     ENDIF
 
@@ -438,5 +428,5 @@
        message_string = 'use_upstream_for_tke = .TRUE. not allowed with ' // &
                         'timestep_scheme = "' // TRIM( timestep_scheme ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0026', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0026', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -463,6 +453,5 @@
           message_string = 'unknown timestep scheme: timestep_scheme = "' // &
                            TRIM( timestep_scheme ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0027', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0027', 1, 2, 0, 6, 0 )
 
     END SELECT
@@ -473,5 +462,5 @@
                         '" & does not work with timestep_scheme "' // &
                         TRIM( timestep_scheme ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0028', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0028', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -481,5 +470,5 @@
                         TRIM( momentum_advec ) // '" & does not work with ' // &
                         'timestep_scheme "' // TRIM( timestep_scheme ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0029', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0029', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -500,6 +489,5 @@
                 message_string = 'initializing_action = "' // &
                                  TRIM( action ) // '" unkown or not allowed'
-                CALL handle_palm_message( 'check_parameters', 'PA0030', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0030', 1, 2, 0, 6, 0 )
 
           END SELECT
@@ -512,5 +500,5 @@
                         ' and "set_1d-model_profiles" are not allowed ' //  &
                         'simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0031', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0031', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -519,5 +507,5 @@
        message_string = 'initializing_actions = "set_constant_profiles"' // &
                         ' and "by_user" are not allowed simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0032', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0032', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -526,5 +514,5 @@
        message_string = 'initializing_actions = "by_user" and ' // &
                         '"set_1d-model_profiles" are not allowed simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0033', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0033', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -532,5 +520,5 @@
        WRITE( message_string, * ) 'cloud_physics = ', cloud_physics, ' is ', &
               'not allowed with humidity = ', humidity
-       CALL handle_palm_message( 'check_parameters', 'PA0034', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0034', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -538,5 +526,5 @@
        WRITE( message_string, * ) 'precipitation = ', precipitation, ' is ', &
               'not allowed with cloud_physics = ', cloud_physics
-       CALL handle_palm_message( 'check_parameters', 'PA0035', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0035', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -544,10 +532,10 @@
        message_string = 'humidity = .TRUE. and sloping_surface = .TRUE. ' // &
                         'are not allowed simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0036', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0036', 1, 2, 0, 6, 0 )
     ENDIF
 
     IF ( humidity  .AND.  scalar_advec == 'ups-scheme' )  THEN
        message_string = 'UPS-scheme is not implemented for humidity = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0037', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0037', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -555,5 +543,5 @@
        message_string = 'humidity = .TRUE. and passive_scalar = .TRUE. ' // &
                         'is not allowed simultaneously'
-       CALL handle_palm_message( 'check_parameters', 'PA0038', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0038', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -561,5 +549,5 @@
        message_string = 'UPS-scheme is not implemented for passive_scalar' // &
                         ' = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0039', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0039', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -567,5 +555,5 @@
        message_string = 'illegal value "' // TRIM( grid_matching ) // &
                         '" found for parameter grid_matching'
-       CALL handle_palm_message( 'check_parameters', 'PA0040', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0040', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -573,5 +561,5 @@
        message_string = 'plant_canopy = .TRUE. requires a non-zero drag ' // &
                         'coefficient & given value is drag_coefficient = 0.0'
-       CALL handle_palm_message( 'check_parameters', 'PA0041', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0041', 1, 2, 0, 6, 0 )
     ENDIF 
 
@@ -945,5 +933,5 @@
     IF ( ocean .AND. .NOT. use_top_fluxes )  THEN
        message_string = 'use_top_fluxes must be .TRUE. in ocean version'
-       CALL handle_palm_message( 'check_parameters', 'PA0042', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0042', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -954,6 +942,5 @@
           WRITE( message_string, * ) 'ABS( alpha_surface = ', alpha_surface, &
                                      ' ) must be < 90.0'
-          CALL handle_palm_message( 'check_parameters', 'PA0043', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0043', 1, 2, 0, 6, 0 )
        ENDIF
        sloping_surface = .TRUE.
@@ -967,6 +954,5 @@
        IF ( dt <= 0.0  .AND.  dt /= -1.0 )  THEN
           WRITE( message_string, * ) 'dt = ', dt , ' <= 0.0'
-          CALL handle_palm_message( 'check_parameters', 'PA0044', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0044', 1, 2, 0, 6, 0 )
        ENDIF
        dt_3d = dt
@@ -991,6 +977,5 @@
           WRITE( message_string, * ) 'cfl_factor = ', cfl_factor, &
                  ' out of range & 0.0 < cfl_factor <= 1.0 is required'
-          CALL handle_palm_message( 'check_parameters', 'PA0045', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0045', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1012,18 +997,15 @@
           message_string = 'baroclinicity (ug) not allowed simultaneously' // &
                            ' with galilei transformation'
-          CALL handle_palm_message( 'check_parameters', 'PA0046', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0046', 1, 2, 0, 6, 0 )
        ELSEIF ( use_ug_for_galilei_tr .AND.                &
                 vg_vertical_gradient_level(1) /= 0.0 )  THEN
           message_string = 'baroclinicity (vg) not allowed simultaneously' // &
                            ' with galilei transformation'
-          CALL handle_palm_message( 'check_parameters', 'PA0047', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0047', 1, 2, 0, 6, 0 )
        ELSE
           message_string = 'variable translation speed used for galilei-' // &
              'transformation, which may cause & instabilities in stably ' // &
              'stratified regions'
-          CALL handle_palm_message( 'check_parameters', 'PA0048', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0048', 0, 1, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1041,5 +1023,5 @@
        message_string = 'unknown boundary condition: bc_lr = "' // &
                         TRIM( bc_lr ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0049', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0049', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( bc_ns /= 'cyclic'  .AND.  bc_ns /= 'dirichlet/radiation'  .AND. &
@@ -1047,5 +1029,5 @@
        message_string = 'unknown boundary condition: bc_ns = "' // &
                         TRIM( bc_ns ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0050', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0050', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1058,24 +1040,20 @@
           message_string = 'non-cyclic lateral boundaries do not allow ' // &
                            'psolver = "' // TRIM( psolver ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0051', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0051', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( momentum_advec /= 'pw-scheme' )  THEN
           message_string = 'non-cyclic lateral boundaries do not allow ' // &
                            'momentum_advec = "' // TRIM( momentum_advec ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0052', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0052', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( scalar_advec /= 'pw-scheme' )  THEN
           message_string = 'non-cyclic lateral boundaries do not allow ' // &
                            'scalar_advec = "' // TRIM( scalar_advec ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0053', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0053', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( galilei_transformation )  THEN
           message_string = 'non-cyclic lateral boundaries do not allow ' // &
                            'galilei_transformation = .T.'
-          CALL handle_palm_message( 'check_parameters', 'PA0054', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0054', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1087,6 +1065,5 @@
        IF ( adjust_mixing_length  .AND.  prandtl_layer )  THEN
           message_string = 'adjust_mixing_length = TRUE and bc_e_b = "neumann"'
-          CALL handle_palm_message( 'check_parameters', 'PA0055', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0055', 0, 1, 0, 6, 0 )
        ENDIF
     ELSEIF ( bc_e_b == '(u*)**2+neumann' )  THEN
@@ -1095,6 +1072,5 @@
           message_string = 'adjust_mixing_length = FALSE and bc_e_b = "' // &
                            TRIM( bc_e_b ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0056', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0056', 0, 1, 0, 6, 0 )
        ENDIF
        IF ( .NOT. prandtl_layer )  THEN
@@ -1103,11 +1079,10 @@
           message_string = 'boundary condition bc_e_b changed to "' // &
                            TRIM( bc_e_b ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0057', 0, 1, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0057', 0, 1, 0, 6, 0 )
        ENDIF
     ELSE
        message_string = 'unknown boundary condition: bc_e_b = "' // &
                         TRIM( bc_e_b ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0058', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0058', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1123,10 +1098,10 @@
        message_string = 'unknown boundary condition: bc_p_b = "' // &
                         TRIM( bc_p_b ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0059', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0059', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( ibc_p_b == 2  .AND.  .NOT. prandtl_layer )  THEN
        message_string = 'boundary condition: bc_p_b = "' // TRIM( bc_p_b ) // &
                         '" not allowed with prandtl_layer = .FALSE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0060', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0060', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( bc_p_t == 'dirichlet' )  THEN
@@ -1137,5 +1112,5 @@
        message_string = 'unknown boundary condition: bc_p_t = "' // &
                         TRIM( bc_p_t ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0061', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0061', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1152,6 +1127,5 @@
           message_string = 'unknown boundary condition: bc_pt_b = "' // &
                            TRIM( bc_pt_b ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0062', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0062', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1166,5 +1140,5 @@
        message_string = 'unknown boundary condition: bc_pt_t = "' // &
                         TRIM( bc_pt_t ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0063', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0063', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1178,5 +1152,5 @@
        message_string = 'both, top_momentumflux_u AND top_momentumflux_v ' // &
                         'must be set'
-       CALL handle_palm_message( 'check_parameters', 'PA0064', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0064', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1189,5 +1163,5 @@
        message_string = 'boundary_condition: bc_pt_b = "' // TRIM( bc_pt_b ) //&
                         '& is not allowed with constant_heatflux = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0065', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0065', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( constant_heatflux  .AND.  pt_surface_initial_change /= 0.0 )  THEN
@@ -1195,5 +1169,5 @@
                'wed with pt_surface_initial_change (/=0) = ', &
                pt_surface_initial_change
-       CALL handle_palm_message( 'check_parameters', 'PA0066', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0066', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1206,5 +1180,5 @@
        message_string = 'boundary_condition: bc_pt_t = "' // TRIM( bc_pt_t ) //&
                         '" is not allowed with constant_top_heatflux = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0067', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0067', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1219,6 +1193,5 @@
           message_string = 'unknown boundary condition: bc_sa_t = "' // &
                            TRIM( bc_sa_t ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0068', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0068', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1228,6 +1201,5 @@
                            TRIM( bc_sa_t ) // '" requires to set ' // &
                            'top_salinityflux'
-          CALL handle_palm_message( 'check_parameters', 'PA0069', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0069', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1241,6 +1213,5 @@
                            TRIM( bc_sa_t ) // '" is not allowed with ' // &
                            'constant_top_salinityflux = .TRUE.'
-          CALL handle_palm_message( 'check_parameters', 'PA0070', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0070', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1263,6 +1234,5 @@
           message_string = 'unknown boundary condition: bc_' // TRIM( sq ) // &
                            '_b ="' // TRIM( bc_q_b ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0071', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0071', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( bc_q_t == 'dirichlet' )  THEN
@@ -1273,6 +1243,5 @@
           message_string = 'unknown boundary condition: bc_' // TRIM( sq ) // &
                            '_t ="' // TRIM( bc_q_t ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0072', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0072', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1287,6 +1256,5 @@
                            '= "' // TRIM( bc_q_b ) // '" is not allowed wi' // &
                            'th prescribed surface flux'
-          CALL handle_palm_message( 'check_parameters', 'PA0073', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0073', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( constant_waterflux  .AND.  q_surface_initial_change /= 0.0 )  THEN
@@ -1294,6 +1262,5 @@
                  'wed with ', sq, '_surface_initial_change (/=0) = ', &
                  q_surface_initial_change
-          CALL handle_palm_message( 'check_parameters', 'PA0074', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0074', 1, 2, 0, 6, 0 )
        ENDIF
        
@@ -1309,11 +1276,10 @@
           message_string = 'boundary condition: bc_uv_b = "' // &
                TRIM( bc_uv_b ) // '" is not allowed with prandtl_layer = .TRUE.'
-          CALL handle_palm_message( 'check_parameters', 'PA0075', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0075', 1, 2, 0, 6, 0 )
        ENDIF
     ELSE
        message_string = 'unknown boundary condition: bc_uv_b = "' // &
                         TRIM( bc_uv_b ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0076', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0076', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1329,6 +1295,5 @@
           message_string = 'unknown boundary condition: bc_uv_t = "' // &
                            TRIM( bc_uv_t ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0077', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0077', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1347,6 +1312,5 @@
           WRITE( message_string, * )  'rayleigh_damping_factor = ', &
                               rayleigh_damping_factor, ' out of range [0.0,1.0]'
-          CALL handle_palm_message( 'check_parameters', 'PA0078', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0078', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1364,6 +1328,5 @@
              WRITE( message_string, * )  'rayleigh_damping_height = ', &
                    rayleigh_damping_height, ' out of range [0.0,', zu(nzt), ']'
-             CALL handle_palm_message( 'check_parameters', 'PA0079', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0079', 1, 2, 0, 6, 0 )
           ENDIF
        ELSE
@@ -1372,6 +1335,5 @@
              WRITE( message_string, * )  'rayleigh_damping_height = ', &
                    rayleigh_damping_height, ' out of range [0.0,', zu(nzb), ']'
-             CALL handle_palm_message( 'check_parameters', 'PA0079', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0079', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -1384,10 +1346,10 @@
          overshoot_limit_e < 0.0 )  THEN
        message_string = 'overshoot_limit_... < 0.0 is not allowed'
-       CALL handle_palm_message( 'check_parameters', 'PA0080', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0080', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( ups_limit_u < 0.0 .OR. ups_limit_v < 0.0 .OR. ups_limit_w < 0.0 .OR. &
          ups_limit_pt < 0.0 .OR. ups_limit_e < 0.0 )  THEN
        message_string = 'ups_limit_... < 0.0 is not allowed'
-       CALL handle_palm_message( 'check_parameters', 'PA0081', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0081', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1399,5 +1361,5 @@
        WRITE ( message_string, * ) 'number of statistic_regions = ', &
                    statistic_regions+1, ' but only 10 regions are allowed'
-       CALL handle_palm_message( 'check_parameters', 'PA0082', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0082', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( normalizing_region > statistic_regions  .OR. &
@@ -1406,5 +1368,5 @@
                 normalizing_region, ' must be >= 0 and <= ',statistic_regions, &
                 ' (value of statistic_regions)'
-       CALL handle_palm_message( 'check_parameters', 'PA0083', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0083', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1416,5 +1378,5 @@
        message_string = 'dt_sort_particles is reset to 0.0 because of cloud' //&
                         '_droplets = .TRUE.'
-       CALL handle_palm_message( 'check_parameters', 'PA0084', 0, 1, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0084', 0, 1, 0, 6, 0 )
     ENDIF
 
@@ -1455,5 +1417,5 @@
        WRITE( message_string, * )  'averaging_interval = ', &
              averaging_interval, ' must be <= dt_data_output = ', dt_data_output
-       CALL handle_palm_message( 'check_parameters', 'PA0085', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0085', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1465,5 +1427,5 @@
        WRITE( message_string, * )  'averaging_interval_pr = ', &
              averaging_interval_pr, ' must be <= dt_dopr = ', dt_dopr
-       CALL handle_palm_message( 'check_parameters', 'PA0086', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0086', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1475,5 +1437,5 @@
        WRITE( message_string, * )  'averaging_interval_sp = ', &
              averaging_interval_sp, ' must be <= dt_dosp = ', dt_dosp
-       CALL handle_palm_message( 'check_parameters', 'PA0087', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0087', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1501,5 +1463,5 @@
                 dt_averaging_input, ' must be <= averaging_interval = ', &
                 averaging_interval
-       CALL handle_palm_message( 'check_parameters', 'PA0088', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0088', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1508,5 +1470,5 @@
                 dt_averaging_input_pr, ' must be <= averaging_interval_pr = ', &
                 averaging_interval_pr
-       CALL handle_palm_message( 'check_parameters', 'PA0089', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0089', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1521,6 +1483,5 @@
                  precipitation_amount_interval, ' must not be larger than ', &
                  'dt_do2d_xy = ', dt_do2d_xy
-             CALL handle_palm_message( 'check_parameters', 'PA0090', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0090', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -1691,6 +1652,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for ocean = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0091', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0091', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 23
@@ -1760,6 +1720,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 41
@@ -1779,6 +1738,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0093', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 41
@@ -1821,6 +1779,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for cloud_physics = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0094', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0094', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 4
@@ -1866,6 +1823,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 48
@@ -1879,6 +1835,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 49
@@ -1892,6 +1847,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 50
@@ -1905,6 +1859,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0093', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 48
@@ -1918,6 +1871,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0093', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 49
@@ -1931,6 +1883,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0093', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 50
@@ -1954,6 +1905,5 @@
                                  'lemented for cloud_physics = .FALSE. an&' // &
                                  'd humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0095', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0095', 1, 2, 0, 6, 0 )
              ENDIF
 
@@ -1973,6 +1923,5 @@
                                  'lemented for cloud_physics = .FALSE. an&' // &
                                  'd humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0095', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0095', 1, 2, 0, 6, 0 )
              ENDIF
 
@@ -1992,6 +1941,5 @@
                                  'lemented for cloud_physics = .FALSE. an&' // &
                                  'd humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0095', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0095', 1, 2, 0, 6, 0 )
              ENDIF
 
@@ -2002,6 +1950,5 @@
                                  'lemented for cloud_physics = .FALSE. or'  // &
                                  '&cloud_droplets = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0096', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0096', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 54
@@ -2065,6 +2012,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for ocean = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0091', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0091', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 65
@@ -2078,6 +2024,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for ocean = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0091', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0091', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 66
@@ -2091,6 +2036,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for ocean = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0091', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0091', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 67
@@ -2114,6 +2058,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 70
@@ -2131,11 +2074,9 @@
                                     'data_output_pr_user = "' // &
                                     TRIM( data_output_pr(i) ) // '"'
-                   CALL handle_palm_message( 'check_parameters', 'PA0097', 1, &
-                                             2, 0, 6, 0 )
+                   CALL message( 'check_parameters', 'PA0097', 1, 2, 0, 6, 0 )
                 ELSE
                    message_string = 'illegal value for data_output_pr = "' // &
                                     TRIM( data_output_pr(i) ) // '"'
-                   CALL handle_palm_message( 'check_parameters', 'PA0098', 1, &
-                                             2, 0, 6, 0 )
+                   CALL message( 'check_parameters', 'PA0098', 1, 2, 0, 6, 0 )
                 ENDIF
              ENDIF
@@ -2175,6 +2116,5 @@
           WRITE( message_string, * )  'z_max_do1d = ', z_max_do1d, ' must ', &
                  'be >= ', zu(nzb+1), ' or <= ', zu(nzt+1)
-          CALL handle_palm_message( 'check_parameters', 'PA0099', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0099', 1, 2, 0, 6, 0 )
        ELSE
           cross_uymax = z_max_do1d
@@ -2195,6 +2135,5 @@
                               'zed_x = "' // TRIM( cross_normalized_x(i) ) // &
                               '"'
-             CALL handle_palm_message( 'check_parameters', 'PA0100', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0100', 1, 2, 0, 6, 0 )
 
        END SELECT
@@ -2208,6 +2147,5 @@
                               'zed_y = "' // TRIM( cross_normalized_y(i) ) // &
                               '"'
-             CALL handle_palm_message( 'check_parameters', 'PA0101', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0101', 1, 2, 0, 6, 0 )
 
        END SELECT
@@ -2219,5 +2157,5 @@
        WRITE( message_string, * )  'z_max_do1d_normalized = ', &
                                    z_max_do1d_normalized, ' must be >= 0.0'
-       CALL handle_palm_message( 'check_parameters', 'PA0101', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0101', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2235,6 +2173,5 @@
              message_string = 'number of output quantitities given by data' // &
                 '_output and data_output_user exceeds the limit of 100'
-             CALL handle_palm_message( 'check_parameters', 'PA0102', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0102', 1, 2, 0, 6, 0 )
           ENDIF
           data_output(i) = data_output_user(j)
@@ -2279,6 +2216,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res constant_diffusion = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0103', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0103', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'm2/s2'
@@ -2288,6 +2224,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requir' // &
                    'es a "particles_par"-NAMELIST in the parameter file (PARIN)'
-                CALL handle_palm_message( 'check_parameters', 'PA0104', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0104', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'pc' )  unit = 'number'
@@ -2298,6 +2233,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res humidity = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0105', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0105', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'q'   )  unit = 'kg/kg'
@@ -2308,6 +2242,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                          'res cloud_physics = .TRUE. or cloud_droplets = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0106', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0106', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'kg/kg'
@@ -2317,6 +2250,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res cloud_droplets = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0107', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0107', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'ql_c'  )  unit = 'kg/kg'
@@ -2328,6 +2260,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res cloud_physics = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0108', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0108', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'kg/kg'
@@ -2337,6 +2268,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res ocean = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0109', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0109', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'kg/m3'
@@ -2346,6 +2276,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res passive_scalar = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0110', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0110', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'conc'
@@ -2355,6 +2284,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res ocean = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0109', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0109', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'psu'
@@ -2365,30 +2293,25 @@
                                  TRIM( var ) // '" & only 2d-horizontal ' // &
                                  'cross sections are allowed for this value'
-                CALL handle_palm_message( 'check_parameters', 'PA0111', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0111', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'lwp*'  .AND.  .NOT. cloud_physics )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res cloud_physics = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0108', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0108', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'pra*'  .AND.  .NOT. precipitation )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res precipitation = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0112', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0112', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'pra*'  .AND.  j == 1 )  THEN
                 message_string = 'temporal averaging of precipitation ' // &
                           'amount "' // TRIM( var ) // '" is not possible'
-                CALL handle_palm_message( 'check_parameters', 'PA0113', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0113', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'prr*'  .AND.  .NOT. precipitation )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res precipitation = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0112', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0112', 1, 2, 0, 6, 0 )
              ENDIF
 
@@ -2416,11 +2339,9 @@
                    message_string = 'illegal value for data_output or ' // &
                          'data_output_user = "' // TRIM( data_output(i) ) // '"'
-                   CALL handle_palm_message( 'check_parameters', 'PA0114', 1, &
-                                             2, 0, 6, 0 )
+                   CALL message( 'check_parameters', 'PA0114', 1, 2, 0, 6, 0 )
                 ELSE
                    message_string = 'illegal value for data_output =' // &
                                     TRIM( data_output(i) ) // '"'
-                   CALL handle_palm_message( 'check_parameters', 'PA0115', 1, &
-                                             2, 0, 6, 0 )
+                   CALL message( 'check_parameters', 'PA0115', 1, 2, 0, 6, 0 )
                 ENDIF
              ENDIF
@@ -2489,5 +2410,5 @@
                     ' must be >= ', zu(nzb+1), '(zu(nzb+1)) and <= ', zu(nzt), &
                     ' (zu(nzt))'
-       CALL handle_palm_message( 'check_parameters', 'PA0116', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0116', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2504,6 +2425,5 @@
           message_string = 'do3d_compress = .TRUE. not allowed on host "' // &
                            TRIM( host ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0117', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0117', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -2516,6 +2436,5 @@
              WRITE( message_string, * )  'illegal precision: do3d_comp_prec', &
                                    '(', i, ') = "', TRIM(do3d_comp_prec(i)),'"'
-             CALL handle_palm_message( 'check_parameters', 'PA0118', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0118', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -2540,6 +2459,5 @@
                      TRIM( do3d_comp_prec(i) ), '" given for do3d_comp_prec(', &
                      i, ')'
-                CALL handle_palm_message( 'check_parameters', 'PA0119', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0119', 1, 2, 0, 6, 0 )
 
           END SELECT
@@ -2575,6 +2493,5 @@
                 message_string = 'unknown value for data_output_format "' // &
                                  TRIM( data_output_format(i) ) // '"'
-                CALL handle_palm_message( 'check_parameters', 'PA0120', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0120', 1, 2, 0, 6, 0 )
 
           END SELECT
@@ -2597,12 +2514,10 @@
        IF ( km_constant < 0.0 )  THEN
           WRITE( message_string, * )  'km_constant = ', km_constant, ' < 0.0'
-          CALL handle_palm_message( 'check_parameters', 'PA0121', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0121', 1, 2, 0, 6, 0 )
        ELSE
           IF ( prandtl_number < 0.0 )  THEN
              WRITE( message_string, * )  'prandtl_number = ', prandtl_number, &
                                          ' < 0.0'
-             CALL handle_palm_message( 'check_parameters', 'PA0122', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0122', 1, 2, 0, 6, 0 )
           ENDIF
           constant_diffusion = .TRUE.
@@ -2611,6 +2526,5 @@
              message_string = 'prandtl_layer is not allowed with fixed ' // &
                               'value of km'
-             CALL handle_palm_message( 'check_parameters', 'PA0123', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0123', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -2630,6 +2544,5 @@
        IF ( outflow_damping_width <= 0  .OR.  outflow_damping_width > nx )  THEN
           message_string = 'outflow_damping width out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0124', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0124', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -2644,6 +2557,5 @@
        IF ( outflow_damping_width <= 0  .OR.  outflow_damping_width > ny )  THEN
           message_string = 'outflow_damping width out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0124', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0124', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -2654,5 +2566,5 @@
        WRITE( message_string, * )  'rif_min = ', rif_min, ' must be less ', &
                                    'than rif_max = ', rif_max
-       CALL handle_palm_message( 'check_parameters', 'PA0125', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0125', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2670,9 +2582,9 @@
        WRITE( message_string, * )  'disturbance_level_b = ', &
                            disturbance_level_b, ' must be >= ', zu(3), '(zu(3))'
-       CALL handle_palm_message( 'check_parameters', 'PA0126', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0126', 1, 2, 0, 6, 0 )
     ELSEIF ( disturbance_level_b > zu(nzt-2) )  THEN
        WRITE( message_string, * )  'disturbance_level_b = ', &
                    disturbance_level_b, ' must be <= ', zu(nzt-2), '(zu(nzt-2))'
-       CALL handle_palm_message( 'check_parameters', 'PA0127', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0127', 1, 2, 0, 6, 0 )
     ELSE
        DO  k = 3, nzt-2
@@ -2695,10 +2607,10 @@
        WRITE( message_string, * )  'disturbance_level_t = ', &
                    disturbance_level_t, ' must be <= ', zu(nzt-2), '(zu(nzt-2))'
-       CALL handle_palm_message( 'check_parameters', 'PA0128', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0128', 1, 2, 0, 6, 0 )
     ELSEIF ( disturbance_level_t < disturbance_level_b )  THEN
        WRITE( message_string, * )  'disturbance_level_t = ', &
                    disturbance_level_t, ' must be >= disturbance_level_b = ', &
                    disturbance_level_b
-       CALL handle_palm_message( 'check_parameters', 'PA0129', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0129', 1, 2, 0, 6, 0 )
     ELSE
        DO  k = 3, nzt-2
@@ -2718,5 +2630,5 @@
                 disturbance_level_ind_t, ' must be >= disturbance_level_b = ', &
                 disturbance_level_b
-       CALL handle_palm_message( 'check_parameters', 'PA0130', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0130', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2735,6 +2647,5 @@
        THEN
           message_string = 'inflow_disturbance_begin out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0131', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0131', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( inflow_disturbance_end == -1 )  THEN
@@ -2744,6 +2655,5 @@
        THEN
           message_string = 'inflow_disturbance_end out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0132', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0132', 1, 2, 0, 6, 0 )
        ENDIF
     ELSEIF ( bc_ns /= 'cyclic' )  THEN
@@ -2754,6 +2664,5 @@
        THEN
           message_string = 'inflow_disturbance_begin out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0131', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0131', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( inflow_disturbance_end == -1 )  THEN
@@ -2763,6 +2672,5 @@
        THEN
           message_string = 'inflow_disturbance_end out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0132', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0132', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -2789,5 +2697,5 @@
        message_string = 'turbulent_inflow = .T. requires a Dirichlet ' // &
                         'condition at the inflow boundary'
-       CALL handle_palm_message( 'check_parameters', 'PA0133', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0133', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2803,6 +2711,5 @@
              WRITE( message_string, * )  'illegal value for recycling_width:', &
                                          ' ', recycling_width
-             CALL handle_palm_message( 'check_parameters', 'PA0134', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0134', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -2818,5 +2725,5 @@
        message_string = 'unknown random generator: random_generator = "' // &
                         TRIM( random_generator ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0135', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0135', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2830,6 +2737,5 @@
           WRITE( message_string, * )  'damp_level_1d = ', damp_level_1d, &
                  ' must be > 0.0 and < ', zu(nzt+1), '(zu(nzt+1))'
-          CALL handle_palm_message( 'check_parameters', 'PA0136', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0136', 1, 2, 0, 6, 0 )
        ELSE
           DO  k = 1, nzt+1
@@ -2848,5 +2754,5 @@
        message_string = 'mixing_length_1d = "' // TRIM( mixing_length_1d ) // &
                         '" is unknown'
-       CALL handle_palm_message( 'check_parameters', 'PA0137', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0137', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( TRIM( dissipation_1d ) /= 'as_in_3d_model'  .AND. &
@@ -2854,5 +2760,5 @@
        message_string = 'dissipation_1d = "' // TRIM( dissipation_1d ) // &
                         '" is unknown'
-       CALL handle_palm_message( 'check_parameters', 'PA0138', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0138', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2889,6 +2795,5 @@
                  termination_time_needed, ' must be > 30.0 on host "', &
                  TRIM( host ), '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0139', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0139', 1, 2, 0, 6, 0 )
        ENDIF
     ELSEIF ( host(1:3) == 'ibm' )  THEN
@@ -2901,6 +2806,5 @@
                  termination_time_needed, ' should be >= 300.0 on host "', &
                  TRIM( host ), '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0140', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0140', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
